Skip to main content
GET
List all categories

Authorizations

Authorization
string
header
required

Access token

Query Parameters

search keyword

active
boolean
default:true
category_id
string

Retrieve this category and its descendants.

limit
integer
default:100

Results per page. Values outside 1–100 are clamped to that range. Non-integer input returns 400.

Required range: 1 <= x <= 100
nested_level
integer

Maximum depth of child categories. Omit to retrieve all levels.

Required range: x >= 0
page
integer
default:1

Page number, starting at 1. Non-integer values and values below 1 return 400.

Required range: x >= 1
parent_category_id
string

To return child categories using category id.

Example:

"01JWZW41Y3FBKTZSP399SKANY7"

parent_category_slug
string

To return child categories using category slug

Example:

"vitals"

sort_by
string

Sort by name, description, created_at or modified_at, using a JSON object of field names and asc or desc values.

Example:

"{\"name\":\"asc\"}"

Response

OK

message
string
required
Example:

"all categories"

success
boolean
required
content
object
required